##
## Some make rules
##

DEPEND_FILE=.depend

######################################

ifdef SUBDIRS

all: subdirs $(TARGETS)

clean: subdirs-clean _clean

realclean: subdirs-realclean _realclean

depend: subdirs-depend _depend

else

all: $(TARGETS)

clean: _clean

realclean: _realclean

depend: _depend

endif

ifdef INSTALL_SUBDIRS

install: subdirs-install _install

else

install: _install

endif

######################################

.c.o:
	$(CC) $(CC_FLAGS) -c $< -o $@

_clean: 
	rm -f core $(OBJS) $(DEPEND_FILE)

_realclean: _clean
	rm -f $(TARGETS)

_depend:
	$(CC) -M $(CC_FLAGS) *.c > $(DEPEND_FILE)

######################################

subdirs:
	set -e; for i in $$(SUBDIRS); do $(MAKE) -C $$i; done

subdirs-depend:
	set -e; for i in $$(SUBDIRS); do $(MAKE) -C $$i depend; done

subdirs-clean:
	set -e; for i in $$(SUBDIRS); do $(MAKE) -C $$i clean; done

subdirs-realclean:
	set -e; for i in $$(SUBDIRS); do $(MAKE) -C $$i realclean; done

subdirs-install:
	set -e; for i in $$(INSTALL_SUBDIRS); do $(MAKE) -C $$i install; done

######################################

ifeq ($(DEPEND_FILE),$(wildcard $(DEPEND_FILE)))
include $(DEPEND_FILE)
endif
